Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000244Frama-CPlug-in > Evapublic2009-09-14 14:142014-02-12 16:56
Reporterpascal 
Assigned Topascal 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Beryllium-20090901 
Target VersionFixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000244: block-local variables not handled correctly in conjunction with -ulevel
Descriptionint R,*p;

void main(void)
{
  int a,i;
  a=2;
  for(i=0; i<2; i++)
  {
    int u=a;
    p = &u;
  }
  R = *p;
}

Commandline:
bin/toplevel.opt -val u.c -ulevel 5

Result:
          R ? {2; }

Should be:
          NON TERMINATING FUNCTION
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001135)
pascal (reporter)
2010-09-08 15:07

This sample program should also emit an "assert" alarm corresponding to the undefined behavior.

- Issue History
Date Modified Username Field Change
2009-09-14 14:14 pascal New Issue
2009-09-14 14:14 pascal Status new => assigned
2009-09-14 14:14 pascal Assigned To => pascal
2009-09-14 14:15 pascal Assigned To pascal => virgile
2009-09-28 09:22 svn Checkin
2009-09-28 09:22 svn Status assigned => resolved
2009-09-28 09:22 svn Resolution open => fixed
2010-04-13 15:30 signoles Status resolved => new
2010-04-13 15:31 signoles Status new => closed
2010-04-13 15:33 signoles Fixed in Version => Frama-C Boron
2010-09-08 15:07 pascal Assigned To virgile => pascal
2010-09-08 15:07 pascal Note Added: 0001135
2010-09-08 15:07 pascal Status closed => feedback
2010-09-08 15:07 pascal Resolution fixed => reopened
2010-09-08 15:10 svn Checkin
2010-09-08 15:12 pascal Status feedback => resolved
2010-09-08 15:12 pascal Resolution reopened => fixed
2010-12-10 15:45 signoles Fixed in Version Frama-C Boron-20100401 => Frama-C Carbon-20101201-beta1
2010-12-17 19:37 signoles Status resolved => closed
2018-01-12 14:26 signoles Category Plug-in > value analysis => Plug-in > Eva


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker